.header {
  &__primary {
    padding: 1.5rem 0;

    &-menu {
      display: flex;
      flex-direction: row;

      &__item {
        margin-left: 2.5rem;
        font-size: 1.125rem;

        &:hover {
          text-decoration: underline;
        }

        @include phone {
          margin: 0 auto;
        }
      }

      &.responsive {
        display: block;

        @include desktop {
          display: none;
        }
      }

      @include tablet-and-phone {
        display: none;
      }
    }

    &-mobile {
      display: none;
      border-bottom: 1px solid $primary;

      &.none {
        opacity: 0;
        max-height: 0;
        transition: max-height 0.5s ease-out;
      }

      @include tablet-and-phone {
        display: flex;
        max-height: auto;
        transition: opacity 0.5s linear;
        flex-direction: column;
        justify-content: center;
        margin-top: 1rem;
      }

      &-menu {
        display: flex;

        &__item {
          font-size: 1.125rem;
          margin: 1rem;
          padding: 0 1rem;
          display: flex;
          justify-content: center;

          &:hover {
            text-decoration: underline;
          }
        }
      }
    }
  }

  &__secondary {
    background-color: $primary;
    color: $white;
    padding: 0.75rem 0;

    & a {
      color: $white !important;
      text-decoration: none;
    }
  }
}

.navigation {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;

  &.secondary {
    @include phone {
      flex-direction: column;
      justify-content: center;
    }
  }
}
